var nodeNormal     = getNode("normal");
var nodeNormalBase = getChildNode(nodeNormal, "normalBase");
var nodeFocus      = getNode("focus");
var nodeFocusBase  = getChildNode(nodeFocus, "focusBase");
var nodeActive     = getNode("active");
var nodeActiveBase = getChildNode(nodeActive, "activeBase");
var nodeTitle = getChildNode(nodeActive, "titleStr");

var mode = 0; // 0:normal, 1:focus, 2:active

var xmlhttp = null;

function onLoad() {
  loadImage(nodeNormalBase, "./parts/normal.png");
  loadImage(nodeFocusBase,  "./parts/focus.png");
}

function onUpKey() {
  if (mode == 2) {
    doHttpRequest();
  }
}

function onDownKey() {
}

function onRightKey() {
}

function onLeftKey() {
}

function onConfirmKey(type) {
}

function onFocus() {
  mode = 1;

  setVisible(nodeNormal, 0);
  setVisible(nodeFocus, 1);
  setVisible(nodeActive, 0);
}

function onUnfocus() {
  mode = 0;

  setVisible(nodeNormal, 1);
  setVisible(nodeFocus, 0);
  setVisible(nodeActive, 0);
}

function onActivate() {
  mode = 2;

  loadImage(nodeActiveBase, "./parts/active.png");

  setVisible(nodeNormal, 0);
  setVisible(nodeFocus, 0);
  setVisible(nodeActive, 1);
}

////

function onReadyStateChangeCallback()
{
  print("onreadystatechange " + xmlhttp.readyState + "\n");

  if (xmlhttp.readyState != 4) {
    print("readyState = " + xmlhttp.readyState + "\n");
    return;
  }
  if (xmlhttp.status != 200) {
    print("ERROR : HTTP status " + xmlhttp.status + "\n");
    return;
  }

  parseRss(xmlhttp.responseXML);
}

function doHttpRequest()
{
  print("doHttpRequest()\n");

  xmlhttp = new XMLHttpRequest();
  if (!xmlhttp) {
    print("error 1\n");
    return;
  }

  xmlhttp.onreadystatechange = onReadyStateChangeCallback;
  xmlhttp.open('GET', 'http://b.hatena.ne.jp/entrylist?mode=rss');
  xmlhttp.send(null);
}

function parseRss(xml)
{
  print("parseRss()\n");

  var channel = xml.getElementsByTagName("channel");
  if (!channel) {
    print("error !channel\n");
    return;
  }

  var title = channel[0].getElementsByTagName("title");
  if (!title) {
    print("error !title\n");
    return;
  }

  setStr(nodeTitle, title[0].firstChild.nodeValue);
}

